# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "midds-types-codegen"
version = "0.1.0"
authors = ["Allfeat labs. <hello@allfeat.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Procedural macros for generating types for MIDDS runtime types"
homepage = "https://allfeat.org"
readme = "README.md"
license = "GPL-3.0-only"
repository = "https://github.com/Allfeat/allfeat-sdk"

[lib]
name = "midds_types_codegen"
path = "src/lib.rs"
proc-macro = true

[dependencies.proc-macro2]
version = "1.0"

[dependencies.quote]
version = "1.0"

[dependencies.syn]
version = "2.0"
features = ["full"]
